CREATE TABLE fun_alloc_determinants_tl (
    PROCESS_DETERMINANT_ID    NUMBER(18, 0) ,
    NAME                      VARCHAR2(400)     NOT NULL,
    DESCRIPTION               VARCHAR2(2048),
    LANGUAGE                  VARCHAR2(16)  ,
    SOURCE_LANG               VARCHAR2(16)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    PROCESS_DETERMINANT_ID    NUMBER(18, 0) ,
    NAME                      VARCHAR2(400)     NOT NULL,
    DESCRIPTION               VARCHAR2(2048),
    LANGUAGE                  VARCHAR2(16)  ,
    SOURCE_LANG               VARCHAR2(16)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE          VARCHAR2(2048),
    ORA_SEED_SET1             VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2             VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_alloc_determinants_tl PRIMARY KEY (PROCESS_DETERMINANT_ID, LANGUAGE, PROCESS_DETERMINANT_ID, LANGUAGE)
);
